<?php

namespace Lucent\Setup\Data;

class SetupStep
{
    public function __construct(
        public string          $name,
        public string          $instructions,
        public SetupStepStatus $status,
    )
    {
    }

    public static function makeSuccess(string $name, string $instructions): self
    {
        return new self($name, $instructions, SetupStepStatus::SUCCESS);
    }

    public static function makeFail(string $name, string $instructions): self
    {
        return new self($name, $instructions, SetupStepStatus::FAIL);
    }
}